SAXConverter (XOM 1.2.4 API)
Date: 2009-12-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom.converters
Class SAXConverter

    Object
      nu.xom.converters.SAXConverter

    public class SAXConverter

extends Object

Feeds a XOM `Document` into a SAX2 `ContentHandler`.

Version:
  1.1b2
Author:
  Elliotte Rusty Harold

Constructor Summary
`SAXConverter(org.xml.sax.ContentHandler handler)` Creates a new `SAXConverter`.

Method Summary
`void` | `convert(Document doc)` Feed a document through this converter.
`void` | `convert(Nodes nodes)` Converts a `Nodes` list into SAX by firing events into the registered handlers.
`org.xml.sax.ContentHandler` | `getContentHandler()` Returns the content handler.
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()` Returns the `LexicalHandler` for this converter.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` Set the content handler for this converter.
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)` Sets the optional lexical handler for this converter.

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXConverter

    public SAXConverter(org.xml.sax.ContentHandler handler)

  Creates a new `SAXConverter`.

  Parameters:
    `handler` - the SAX2 content handler that receives the data
  Throws:
    `NullPointerException` - if handler is null

Method Detail

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Set the content handler for this converter.

  Parameters:
    `handler` - SAX2 content handler that receives the data
  Throws:
    `NullPointerException` - if handler is null

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Returns the content handler.

  Returns:
    SAX2 content handler that receives the data

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)

  Sets the optional lexical handler for this converter. The only lexical events the converter supplies are comments.

  Parameters:
    `handler` - the lexical handler; may be null to turn off lexical events

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

  Returns the `LexicalHandler` for this converter. This is only used for comments.

  Returns:
    SAX2 lexical handler that receives lexical events

### convert

    public void convert(Document doc)
                 throws org.xml.sax.SAXException

  Feed a document through this converter.

  Parameters:
    `doc` - the document to pass to SAX
  Throws:
    `org.xml.sax.SAXException` - if the content handler or lexical handler throws an exception

### convert

    public void convert(Nodes nodes)
                 throws org.xml.sax.SAXException

  Converts a `Nodes` list into SAX by firing events into the registered handlers. This method calls `startDocument` before processing the list of nodes, and calls `endDocument` after processing all of them.

  Parameters:
    `nodes` - the nodes to pass to SAX
  Throws:
    `org.xml.sax.SAXException` - if the content handler or lexical handler throws an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org